<template>
	<!-- xxxxxxxxxxxxxxx S-MU-06 - CITA xxxxxxxxxxxxxxxxxxx -->
	<div>										
		<div class="col-md-12 content-cita">
			<i class="fa fa-quote-right"></i>
			<!--<p>{{ value.body }}</p>-->
			<p v-html="value.body.replace(/(?:\r\n|\r|\n)/g, '<br>')"></p>
			<h5 class="">- {{ value.author }}</h5>
		</div>
		
	</div>
</template>

<script>	
	import { config } 		from './config'
	import { mapActions } 	from 'vuex'
	import ResultTypes from '../../../../utils/ResultTypes'

	export default{
		name 	: config.component,
		props 	: config.props,
		methods : {
	  		...mapActions([
		      'evaluate',
			]),
		},
		mounted(){
			let isPreview = window.location.href.split('/')[3] == 'course-preview'
				if(isPreview){
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 4 * 1000)
				}
				else{
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
					}
		},
		updated(){
			let isPreview = window.location.href.split('/')[3] == 'course-preview'
				if(isPreview)
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 4 * 1000)
				else
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
		}
	}
</script>